<?php
/**
 * db.php
 * Archivo de conexión a la base de datos.
 */

// Ajusta estos valores a los de tu entorno.
$host = "localhost";
$user = "farmacia_onlydi2025";
$pass = "1corintios13";
$dbname = "farmacia_sufarma2025";

try {
    $pdo = new PDO("mysql:host=$host;dbname=$dbname;charset=utf8mb4", $user, $pass);
    // Configurar atributos de PDO para manejar errores
    $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
} catch (PDOException $e) {
    echo "Error de conexión: " . $e->getMessage();
    exit;
}
?>
